### Function

# ICalGLib vcard_restriction_check

since: 1.0

#### Declaration [src]

    gint
    i_cal_vcard_restriction_check (
      ICalVcardComponent* comp
    )

#### Description [src]

Checks whether the `comp` is valid.

Available since: 1.0

#### Parameters

`comp`

  Type: `ICalVcardComponent`

  The component to be checked.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

Whether the `comp` is valid.